All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Interface SwingActionProviderViewInterface

All Superinterfaces:
  ActionProviderViewInterface

All Known Implementing Classes:
  BaseRemoteFileSelectorPanel, IFileServiceSelectorPanel, InformationServicesSearchPanel, InformationServicesSelectorPanel, OLAPDrillState, OLAPTableView, RemoteFileSearchComponent, RemoteFileSearchPanel, SwingViewerSupport, TableView

    public interface SwingActionProviderViewInterface

extends ActionProviderViewInterface

The interface required for all Swing components that acquire their Actions via the ActionProvider Framework (APF).

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Components typically delegate their implementations of this interface to an instance of `SwingViewerSupport`.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0
See Also:
  `SwingViewerSupport`

Method Summary
`abstract SwingActionProvider` | `getActionProvider()` Returns the SwingActionProvider object from which this component will acquire its Actions.
`abstract void` | `setActionProvider(SwingActionProvider actionProvider)` Sets the SwingActionProvider object from which this component will acquire its Actions.

Methods inherited from interface com.sas.actionprovider.ActionProviderViewInterface
`getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionSupportType, setActionVisible, setUniqueId`

Method Detail

### setActionProvider

    void setActionProvider(SwingActionProvider actionProvider)

  Sets the SwingActionProvider object from which this component will acquire its Actions.

  Parameters:
    `The` - ActionProvider object
  See Also:
    `getActionProvider()`

### getActionProvider

    SwingActionProvider getActionProvider()

  Returns the SwingActionProvider object from which this component will acquire its Actions.

  Returns:
    ActionProvider object
  See Also:
    `setActionProvider(com.sas.actionprovider.SwingActionProvider)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.